from statistics import geometric_mean
from math import sqrt


# задание1: Даны 2 действительных числа a и b.
# Получить их сумму, разность и произведение.
a = 3
w = 6
s = a + w
d = a - w
n = a * w
print('задание1')
print('сумма: ', s)
print('разность: ', d)
print('произведение: ', n)
print(

)


# задание2: Даны действительные числа x и y.
# Получить (|x| − |y|) / (1 + |xy|).
x = -5
y = 12
print('задание2')
print('результат: ', (abs(x) - abs(y)) / (1 + abs(x * y)))
print(

)


# задание3: Дана длина ребра куба.
# Найти объем куба и площадь его боковой поверхности.
m = 5
p = (a**2)
o = (a**3)
print('задание3')
print('площадь боковой поверхности куба: ', p)
print('объём куба: ', o)
print(

)


# задание4: Даны два действительных числа.
# Найти среднее арифметическое и среднее геометрическое этих чисел.
j = 4
k = 2.5
h = [j, k]
print('задание4')
print('реднее арифметическое чисел: ', sum(h) / len(h))
print('среднее геометрическое чисел: ', geometric_mean([j, k]))
print(

)


# задание5: Даны катеты прямоугольного треугольника.
# Найти его гипотенузу и площадь.
q = 3
r = 7
print('задание5')
print('гипотенуза: ', sqrt(q ** 2 + r ** 2))
print('площадь треугольника: ', q * r / 2)
